Stores the file name and line number of a XML file

author | Andreas Aderhold
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$
access | public
package | phing.parser

### Methods

## Constructs the location consisting of a file name and line number

    Location(string $fileName, integer $lineNumber, integer $columnNumber)

access | public

### Parameters

#### $fileName

`string`

the filename

#### $lineNumber

`integer`

the line number

#### $columnNumber

`integer`

the column number

## __toString()

    __toString()

## Returns the file name, line number and a trailing space.

    toString() : string

An error message can be appended easily. For unknown locations, returns empty string.

access | public

### Returns

`string`the string representation of this Location object

### Properties

##

    $columnNumber

##

    $fileName

##

    $lineNumber